package com.safeway.pricing.router;


import com.safeway.pricing.handler.PricingHandler;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.reactive.function.server.RouterFunction;
import org.springframework.web.reactive.function.server.RouterFunctions;
import org.springframework.web.reactive.function.server.ServerResponse;

@Configuration
public class AppRouterConfig {

    @Autowired
    private PricingHandler pricingHandler;

    @Bean
    public RouterFunction<ServerResponse> routerFunction(){
        return RouterFunctions.route()
                .GET("/getDefaultFilterDetails",pricingHandler::getDefaultFilterDetails)
                .GET("/api/getCRCDetails",pricingHandler::getCRCDetails)
                .GET("/api/getCRCDetails2",pricingHandler::getCRCDetails)
                .build();
        
    }
}
